> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Get deployed workbook in tenant org (Beta)

GET https://api.sigmacomputing.com/v2/tenants/{tenantOrganizationId}/workbooks

Retrieve the workbook ID for a workbook deployed to a tenant organization for a given parent workbook and deployment policy.

**Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

### Usage notes
- To perform this operation, you must use API credentials owned by a user assigned the Admin account type.
- The parent workbook must be part of the specified deployment policy.
- The workbook must be deployed to the specified tenant organization.
- Retrieve the **tenantOrganizationId** by calling the [/v2/tenants](https://help.sigmacomputing.com/reference/list-tenants) endpoint.
- Retrieve the **deploymentPolicyId** by calling the [/v2/deploymentPolicies](https://help.sigmacomputing.com/reference/list-deployments) endpoint. 
- Retrieve the **parentWorkbookId** by calling the [/v2/deploymentPolicies/{deploymentPolicyId}/files](https://help.sigmacomputing.com/reference/list-inodes-for-deployment) endpoint and using the `workbookId` included in the response.
- For version-tagged deployment policies, you may pass either the source workbook ID or the version-tagged workbook ID as the **parentWorkbookId**.

Reference: https://help.sigmacomputing.com/reference/get-tenant-workbook

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/tenants/{tenantOrganizationId}/workbooks:
    get:
      operationId: getTenantWorkbook
      summary: Get deployed workbook in tenant org (Beta)
      description: >-
        Retrieve the workbook ID for a workbook deployed to a tenant
        organization for a given parent workbook and deployment policy.


        **Beta**: This documentation describes a public beta feature and is
        subject to the [Beta
        features](/docs/sigma-product-releases#beta-features) disclaimer.


        ### Usage notes

        - To perform this operation, you must use API credentials owned by a
        user assigned the Admin account type.

        - The parent workbook must be part of the specified deployment policy.

        - The workbook must be deployed to the specified tenant organization.

        - Retrieve the **tenantOrganizationId** by calling the
        [/v2/tenants](https://help.sigmacomputing.com/reference/list-tenants)
        endpoint.

        - Retrieve the **deploymentPolicyId** by calling the
        [/v2/deploymentPolicies](https://help.sigmacomputing.com/reference/list-deployments)
        endpoint. 

        - Retrieve the **parentWorkbookId** by calling the
        [/v2/deploymentPolicies/{deploymentPolicyId}/files](https://help.sigmacomputing.com/reference/list-inodes-for-deployment)
        endpoint and using the `workbookId` included in the response.

        - For version-tagged deployment policies, you may pass either the source
        workbook ID or the version-tagged workbook ID as the
        **parentWorkbookId**.
      tags:
        - Tenants
      parameters:
        - name: tenantOrganizationId
          in: path
          required: true
          schema:
            type: string
        - name: parentWorkbookId
          in: query
          required: false
          schema:
            type: string
        - name: deploymentPolicyId
          in: query
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tenants_getTenantWorkbook_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    tenants_getTenantWorkbook_Response_200:
      type: object
      properties:
        workbookId:
          type: string
          description: >-
            Unique identifier of the workbook deployed to the tenant
            organization
        workbookUrl:
          type: string
          description: URL to access the workbook in the tenant organization
      required:
        - workbookId
        - workbookUrl
      title: tenants_getTenantWorkbook_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "workbookId": "wb-765e4321-b98a-21d3-c654-426614174999",
  "workbookUrl": "https://app.sigmacomputing.com/orgs/org-9f8b7c6d5e4a3b2c/workbooks/wb-765e4321-b98a-21d3-c654-426614174999"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/tenants/org-9f8b7c6d5e4a3b2c/workbooks"

querystring = {"deploymentPolicyId":"dp-987f6543-e21b-45d6-b789-123456789abc","parentWorkbookId":"wb-123e4567-e89b-12d3-a456-426614174000"}

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/tenants/org-9f8b7c6d5e4a3b2c/workbooks?deploymentPolicyId=dp-987f6543-e21b-45d6-b789-123456789abc&parentWorkbookId=wb-123e4567-e89b-12d3-a456-426614174000';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/tenants/org-9f8b7c6d5e4a3b2c/workbooks?deploymentPolicyId=dp-987f6543-e21b-45d6-b789-123456789abc&parentWorkbookId=wb-123e4567-e89b-12d3-a456-426614174000"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/tenants/org-9f8b7c6d5e4a3b2c/workbooks?deploymentPolicyId=dp-987f6543-e21b-45d6-b789-123456789abc&parentWorkbookId=wb-123e4567-e89b-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/tenants/org-9f8b7c6d5e4a3b2c/workbooks?deploymentPolicyId=dp-987f6543-e21b-45d6-b789-123456789abc&parentWorkbookId=wb-123e4567-e89b-12d3-a456-426614174000")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/tenants/org-9f8b7c6d5e4a3b2c/workbooks?deploymentPolicyId=dp-987f6543-e21b-45d6-b789-123456789abc&parentWorkbookId=wb-123e4567-e89b-12d3-a456-426614174000', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/tenants/org-9f8b7c6d5e4a3b2c/workbooks?deploymentPolicyId=dp-987f6543-e21b-45d6-b789-123456789abc&parentWorkbookId=wb-123e4567-e89b-12d3-a456-426614174000");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/tenants/org-9f8b7c6d5e4a3b2c/workbooks?deploymentPolicyId=dp-987f6543-e21b-45d6-b789-123456789abc&parentWorkbookId=wb-123e4567-e89b-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```